List Recurring Gift Custom Fields
curl --request GET \
--url https://api.virtuoussoftware.com/api/RecurringGift/CustomFields \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/RecurringGift/CustomFields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/RecurringGift/CustomFields"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/RecurringGift/CustomFields");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/RecurringGift/CustomFields';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));[
{
"dataType": "<string>",
"name": "<string>",
"displayName": "<string>",
"options": [
"<string>",
"<string>"
],
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>"
},
{
"dataType": "<string>",
"name": "<string>",
"displayName": "<string>",
"options": [
"<string>",
"<string>"
],
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>"
}
]{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Recurring Gifts
List Recurring Gift Custom Fields
Will return all enabled custom fields available for the Recurring Gift object.
GET
/
api
/
RecurringGift
/
CustomFields
List Recurring Gift Custom Fields
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
OK
The data type of the values the parameter accepts.
The display name of the record.
The label to show for this value in a user interface.
The fields that can be used as a query parameter, including the operators and values each one accepts.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
Last modified on July 24, 2026
Was this page helpful?
⌘I